# *******************************************************************************
# * Copyright (c) 2019 Contributors to the Eclipse Foundation
# *
# * See the NOTICE file(s) distributed with this work for additional
# * information regarding copyright ownership.
# *
# * This program and the accompanying materials are made available under the
# * terms of the Eclipse Public License v. 2.0 which is available at
# * http://www.eclipse.org/legal/epl-2.0.
# *
# * SPDX-License-Identifier: EPL-2.0
# *******************************************************************************
# must be unique in a given SonarQube instance
sonar.organization=openkonsequenz
sonar.projectKey=openkonsequenz_gridfailureinformation.backend
# this is the name and version displayed in the SonarQube UI. Was mandatory prior to SonarQube 6.1.
sonar.projectName=gridfailureinformation.backend
sonar.projectVersion=0.0.1_Snapshot
sonar.java.binaries=target/classes

# Language
sonar.language=Java

sonar.sourceEncoding=UTF-8
sonar.sources=src/main
sonar.exclusions=**/model/*.java,**/viewmodel/*.java,**/RabbitMqConfig.java,**/InitEventHandler.java,**/emailTemplateBtn.html,**/emailTemplate.html,**/*.sql
sonar.tests=src/test
sonar.test.exclusions=**/model/**,**/viewmodel/**,**/RabbitMqConfig.java,**/InitEventHandler.java,**/emailTemplateBtn.html,**/emailTemplate.html,**/*.sql
